<?php

namespace app\user\controller;

use think\Lang;
use think\Cache;

class All extends UserControl
{

    public function _initialize()
    {
        parent::_initialize();
        Lang::load(APP_PATH . 'user/lang/' . config('default_lang') . '/index.lang.php');
    }


    /**
     * 首页
     * @return mixed
     */
    public function index()
    {
        $userId = session('admin_id');

        return $this->fetch('index');
    }

    private function _mysql_version()
    {
        $version = db()->query("select version() as ver");
        return $version[0]['ver'];
    }

    protected function getAdminItemList()
    {
        $menu_array = array(
            array(
                'name' => 'index', 'text' => "欢迎界面", 'url' => url('Wlcome/index')
            )
        );
        return $menu_array;
    }

}
